implementation

## Class SimulationContext

- java.lang.Object
- - java.util.AbstractCollection<T>
  - - repast.simphony.context.AbstractContext<T>
    - - repast.simphony.context.SmallDefaultContext<T>
      - - repast.simphony.context.DefaultContext<java.lang.Object>
        - - implementation.SimulationContext

- All Implemented Interfaces:
    java.lang.Iterable<java.lang.Object>, java.util.Collection<java.lang.Object>, repast.simphony.context.Context<java.lang.Object>, repast.simphony.context.ContextListener, repast.simphony.context.RepastElement, repast.simphony.dataLoader.ContextBuilder<java.lang.Object>

      public class SimulationContext
      extends repast.simphony.context.DefaultContext<java.lang.Object>
      implements repast.simphony.dataLoader.ContextBuilder<java.lang.Object>

  Version:
    1.0
  Author:
    Alan Mills

- - ### Field Summary

    - ### Fields inherited from interface repast.simphony.context.Context

      `SYN_CONTEXT_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimulationContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `repast.simphony.context.Context<java.lang.Object>` | `build(repast.simphony.context.Context<java.lang.Object> pContext)` Establishes the simulation's "context", and instantiates the Environment.

    - ### Methods inherited from class repast.simphony.context.SmallDefaultContext

      `getObjects, getRandomObject, getRandomObjects, removeAll, retainAll`

    - ### Methods inherited from class repast.simphony.context.AbstractContext

      `add, addContextListener, addProjection, addSubContext, addValueLayer, clear, contains, eventOccured, findContext, findParent, getAgentLayer, getAgentTypes, getContextListeners, getId, getProjection, getProjection, getProjections, getProjections, getSubContext, getSubContexts, getTypeID, getValueLayer, getValueLayers, hasSubContext, iterator, query, remove, removeContextListener, removeProjection, removeSubContext, removeValueLayer, setId, setTypeID, size`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, containsAll, isEmpty, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `addAll, containsAll, equals, hashCode, isEmpty, toArray, toArray`

- - ### Constructor Detail

    - #### SimulationContext

          public SimulationContext()

  - ### Method Detail

    - #### build

          public repast.simphony.context.Context<java.lang.Object> build(repast.simphony.context.Context<java.lang.Object> pContext)

      Establishes the simulation's "context", and instantiates the Environment. This is where the simulation starts.
      Specified by:
        `build` in interface `repast.simphony.dataLoader.ContextBuilder<java.lang.Object>`